Bug 197513 - Sound on BT878 and kernel 2.6.17
Sound on BT878 and kernel 2.6.17
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tvtime (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 09:59 EDT by Lukas Slansky
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 04:15:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Slansky 2006-07-03 09:59:44 EDT
Description of problem:
The sound out of BT878 seems OK only first time running TV program (tested on
tvtime, zapping, mythtv works neither). I should rmmod bttv and modprobe bttv to
make sound working - but against only first time.

With kernel-2.6.16-1.2133_FC5 seems everything without problem.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2139_FC5
tvtime-1.0.1-3.2
zapping-0.10-0.3.cvs4.fc5.rf

How reproducible:
Boot kernel 2.6.17-1.2139_FC5 and run tvtime. Change channel or restart tvtime.

Expected results:
Sound working everytime (like on kernel 2.6.16-1.2133_FC5)...

Additional info:

/etc/modprobe.conf:
alias eth0 forcedeth
alias scsi_hostadapter sata_nv
alias snd-card-0 snd-ca0106
options snd-card-0 index=0
options snd-ca0106 index=0
remove snd-ca0106 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-ca0106alias snd-card-1 snd-mpu401
options snd-card-1 index=1
options snd-mpu401 index=1
remove snd-mpu401 { /usr/sbin/alsactl store 1 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-mpu401 

dmesg:

bttv: driver version 0.9.16 loaded
bttv: using 8 buffers with 2080k (520 pages) each for capture
bttv: Bt8xx card found (0).
ACPI: PCI Interrupt 0000:01:09.0[A] -> Link [APC2] -> GSI 17 (level,
high) -> IRQ 193
bttv0: Bt878 (rev 2) at 0000:01:09.0, irq: 193, latency: 32, mmio:
0xea000000
bttv0: detected: AVerMedia TVPhone98 [card=41], PCI subsystem ID is
1461:0003
bttv0: using: AVerMedia TVPhone 98 [card=41,autodetected]
bttv0: gpio: en=00000000, out=00000000 in=000477c3 [init]
tvaudio 2-0042: tda9840 found @ 0x84 (bt878 #0 [sw])
tuner 2-0061: chip found @ 0xc2 (bt878 #0 [sw])
bttv0: Avermedia eeprom[0x0a97]: tuner=5 radio:yes remote control:yes
bttv0: using tuner=5
tuner 2-0061: type set to 5 (Philips PAL_BG (FI1216 and compatibles))
bttv0: i2c: checking for MSP34xx @ 0x80... not found
bttv0: i2c: checking for TDA9875 @ 0xb0... not found
bttv0: i2c: checking for TDA7432 @ 0x8a... not found
bttv0: i2c: checking for TDA9887 @ 0x86... not found
bttv0: registered device video0
bttv0: registered device vbi0
bttv0: registered device radio0
bttv0: PLL: 28636363 => 35468950 . ok
input: bttv IR (card=41) as /class/input/input9
bttv-input: bttv IR (card=41) detected at pci-0000:01:09.0/ir0

lspci:

00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different
version?) (rev c1)
00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev
c1)
00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev
c1)
00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev
c1)
00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev
c1)
00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev
c1)
00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev
a3)
00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev
a3)
00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev
a3)
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet
Controller (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev
a3)
00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire (IEEE
1394) Controller (rev a3)
00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1)
01:07.0 Multimedia audio controller: Creative Labs SB Audigy LS
01:09.0 Multimedia video controller: Brooktree Corporation Bt878 Video
Capture (rev 02)
01:09.1 Multimedia controller: Brooktree Corporation Bt878 Audio
Capture (rev 02)
02:00.0 VGA compatible controller: nVidia Corporation NV28 [GeForce4 Ti
4200 AGP 8x] (rev a1)
Comment 1 Nathan Crubel 2006-07-18 15:27:40 EDT
I have the same problem with kernal 2.6.17-1.2157_FC5  I loss audio for TVtime.
 Booting in kernel 2.16.15-1.2054_FC5 I have no audio problems.  
Comment 2 Tomas Smetana 2008-01-10 02:52:59 EST
Hmm...  This one is really old.

Do you still have problems with the audio in one of current Fedoras (7, 8,
rawhide)?  If not, I'm going to close this bug.

Note You need to log in before you can comment on or make changes to this bug.